# Class DoubleDataStorageBuilder

java.lang.Object
org.apfloat.internal.AbstractDataStorageBuilder
org.apfloat.internal.DoubleDataStorageBuilder

All Implemented Interfaces:
  `DataStorageBuilder`

public class DoubleDataStorageBuilder extends AbstractDataStorageBuilder
Default data storage creation strategy for the `double` data type.

Version:
  1.15.0
Author:
  Mikko Tommila
See Also:
  - `DoubleMemoryDataStorage`
  - `DoubleDiskDataStorage`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DoubleDataStorageBuilder()`
  Default constructor.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected DataStorage`
  `createCachedDataStorage()`
  Create a cached data storage.
  `protected DataStorage`
  `createNonCachedDataStorage()`
  Create a non-cached data storage.
  `protected long`
  `getMaxCachedSize()`
  Get the maximum cached data storage size.
  `protected boolean`
  `isCached(DataStorage dataStorage)`
  Test if the data storage is of cached type.

  ### Methods inherited from class AbstractDataStorageBuilder

  `createCachedDataStorage, createDataStorage, createDataStorage`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DoubleDataStorageBuilder

    public DoubleDataStorageBuilder()
    Default constructor.

- ## Method Details

  - ### getMaxCachedSize

    protected long getMaxCachedSize()
    Description copied from class: `AbstractDataStorageBuilder`
    Get the maximum cached data storage size.
    Specified by:
      `getMaxCachedSize` in class `AbstractDataStorageBuilder`
    Returns:
      The maximum cached data storage size.

  - ### createCachedDataStorage

    protected DataStorage createCachedDataStorage() throws ApfloatRuntimeException
    Description copied from class: `AbstractDataStorageBuilder`
    Create a cached data storage.
    Specified by:
      `createCachedDataStorage` in class `AbstractDataStorageBuilder`
    Returns:
      A new cached data storage.
    Throws:
      `ApfloatRuntimeException`

  - ### createNonCachedDataStorage

    protected DataStorage createNonCachedDataStorage() throws ApfloatRuntimeException
    Description copied from class: `AbstractDataStorageBuilder`
    Create a non-cached data storage.
    Specified by:
      `createNonCachedDataStorage` in class `AbstractDataStorageBuilder`
    Returns:
      A new non-cached data storage.
    Throws:
      `ApfloatRuntimeException`

  - ### isCached

    protected boolean isCached(DataStorage dataStorage) throws ApfloatRuntimeException
    Description copied from class: `AbstractDataStorageBuilder`
    Test if the data storage is of cached type.
    Specified by:
      `isCached` in class `AbstractDataStorageBuilder`
    Parameters:
      `dataStorage` - The data storage.
    Returns:
      If the data storage is cached.
    Throws:
      `ApfloatRuntimeException`